> For the complete documentation index, see [llms.txt](https://developer.magtek.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://developer.magtek.com/hardware/card-readers/magnetic-stripe-readers/idynamo-5-gen-iii/documentation/developers-manuals/secure-card-reader-authenticators-sdk-programmers-manual-ios/mtscra-interfaces.md).

# MTSCRA Interfaces

#### 1.1           MTCardData

@interface MTCardData : NSObject

\- (id)initWithCardData:(NSString\*)cardData;

/\*!

@attribute cardIIN

@discussion cardIIN is 6 digits of the account, usually can help to identify the issuer

\*/

@property(nonatomic, strong) NSString \*cardIIN;

/\*!

@attribute cardData

@discussion track1 | track2 | track3

\*/

@property(nonatomic, strong) NSString \*cardData;

/\*!

@attribute cardLast4

@discussion last 4 digits of account, usually can help user to identify him/her self

\*/

@property(nonatomic, strong) NSString \*cardLast4;

/\*!

@attribute cardName @discussion card holder name

\*/

@property(nonatomic, strong) NSString \*cardName;

@property (strong, nonatomic) NSString \*cardLastName;&#x20;

@property (strong, nonatomic) NSString \*cardMiddleName;&#x20;

@property (strong, nonatomic) NSString \*cardFirstName;

&#x20;

@property(nonatomic, strong) NSString \*cardExpDate;&#x20;

@property(nonatomic, strong) NSString \*cardServiceCode;&#x20;

@property(nonatomic, strong) NSString \*cardStatus;&#x20;

@property(nonatomic, strong) NSString \*responseData;&#x20;

@property(nonatomic, strong) NSString \*maskedTracks;&#x20;

@property(nonatomic, strong) NSString \*encryptedTrack1;&#x20;

@property(nonatomic, strong) NSString \*encryptedTrack2;&#x20;

@property(nonatomic, strong) NSString \*encryptedTrack3;&#x20;

@property(nonatomic, strong) NSString \*encryptionStatus;&#x20;

@property(nonatomic, strong) NSString \*maskedTrack1;&#x20;

@property(nonatomic, strong) NSString \*maskedTrack2;&#x20;

@property(nonatomic, strong) NSString \*maskedTrack3;&#x20;

@property(nonatomic, strong) NSString \*trackDecodeStatus;&#x20;

@property(nonatomic, strong) NSString \*encryptedMagneprint;&#x20;

@property(nonatomic, strong) NSString \*magneprintStatus;&#x20;

@property(nonatomic, strong) NSString \*deviceSerialNumber;

&#x20;@property(nonatomic, strong) NSString \*deviceSerialNumberMagTek;

<br>

&#x20;

@property(nonatomic, strong) NSString \*encrypedSessionID;

/\*!

@attribute deviceKSN

@discussion Key Serial Number for the card swipe

\*/

@property(nonatomic, strong) NSString \*deviceKSN;&#x20;

@property(nonatomic, strong) NSString \*deviceFirmware;&#x20;

@property(nonatomic, strong) NSString \*deviceName;&#x20;

@property(nonatomic, strong) NSString \*deviceCaps;&#x20;

@property(nonatomic, strong) NSString \*deviceStatus;&#x20;

@property(nonatomic, strong) NSString \*tlvVersion;&#x20;

@property(nonatomic, strong) NSString \*devicePartNumber;&#x20;

@property(nonatomic, strong) NSString \*capMSR;&#x20;

@property(nonatomic, strong) NSString \*capTracks;

@property(nonatomic, strong) NSString \*capMagStripeEncryption;&#x20;

@property(nonatomic, strong) NSString \*maskedPAN;&#x20;

@property(nonatomic) long cardPANLength;&#x20;

@property(nonatomic, strong) NSString \*additionalInfoTrack1;

&#x20;@property(nonatomic, strong) NSString \*additionalInfoTrack2;&#x20;

@property(nonatomic, strong) NSString \*responseType;&#x20;

@property(nonatomic) long batteryLevel;

@property(nonatomic) long swipeCount;&#x20;

@property(nonatomic, strong) NSString \*firmware;&#x20;

@property(nonatomic, strong) NSString \*tagValue;&#x20;

@property(nonatomic) int magnePrintLength;&#x20;

@property(nonatomic) int cardType;

@property(nonatomic, strong) NSString \*cardExpDateMonth;&#x20;

@property(nonatomic, strong) NSString \*cardExpDateYear;&#x20;

@property(nonatomic, strong) NSString \*cardPAN;&#x20;

@property(nonatomic, strong) NSString \*track1DecodeStatus;&#x20;

@property(nonatomic, strong) NSString \*track2DecodeStatus;&#x20;

@property(nonatomic, strong) NSString \*track3DecodeStatus;&#x20;

@property(nonatomic, strong) NSDate\* timeStamp;

@property(nonatomic, strong) NSString\* messageID;&#x20;

@property(nonatomic, strong) NSString\* msrDUKPTKeyInfo; // 16 bytes

@property(nonatomic, strong) NSString\* mpDUKPTKeySerialNumber; // 0/20/24 @property(nonatomic, strong) NSString\* mpDUKPTKeyInfo; // 16 bytes&#x20;

@property(nonatomic, strong) NSString\* macKeyInfo; // 16 bytes&#x20;

@property(nonatomic, strong) NSString\* macMessageLength;&#x20;

@property(nonatomic, strong) NSString\* mac;

@property(nonatomic, strong) NSString\* tokenDUKPTKeyInfo;

&#x20;@property(nonatomic, strong) NSString\* tokenDUKPTKeySerialNumber;&#x20;

@property(nonatomic, strong) NSString\* encryptedQwantumDataBuffer;&#x20;

@property(nonatomic, strong) NSString\* qwantumStatus;&#x20;

@property(nonatomic, strong) NSString\* qwantumToken;&#x20;

@property(nonatomic, strong) NSString\* qwantumCardID;

&#x20;

@property(nonatomic, strong) NSString\* customerMessageCode;

<br>

&#x20;

@property(nonatomic, strong) NSString\* customerMessage;

&#x20;

@property(nonatomic) BOOL isQwantumCard;&#x20;

@property(nonatomic) BOOL isQwantumBuffer;&#x20;

@property(nonatomic) BOOL isCustomerMessage;

@property(nonatomic, strong) NSString\* encryptedSCDE;&#x20;

@property(nonatomic, strong) NSString\* scdeDUKPTKeySerialNumber;&#x20;

@property(nonatomic, strong) NSString\* scdeDUKPTKeyInfo;

&#x20;

@property(nonatomic, strong) NSDictionary\* allObjects;&#x20;

@property(nonatomic, strong) NSArray\<NSString\*>\* objectArray;

@end


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://developer.magtek.com/hardware/card-readers/magnetic-stripe-readers/idynamo-5-gen-iii/documentation/developers-manuals/secure-card-reader-authenticators-sdk-programmers-manual-ios/mtscra-interfaces.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
